Append a merchandising simulation variant
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions/{revisionId}/variants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"overrides": {
"pricing": {
"priceAdjustmentBasisPoints": 45000
},
"rules": {
"requiredBundleIds": [
"<string>"
],
"excludedBundleIds": [
"<string>"
],
"maxProducts": 50
}
}
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions/{revisionId}/variants"
payload = {
"label": "<string>",
"overrides": {
"pricing": { "priceAdjustmentBasisPoints": 45000 },
"rules": {
"requiredBundleIds": ["<string>"],
"excludedBundleIds": ["<string>"],
"maxProducts": 50
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
overrides: {
pricing: {priceAdjustmentBasisPoints: 45000},
rules: {
requiredBundleIds: ['<string>'],
excludedBundleIds: ['<string>'],
maxProducts: 50
}
}
})
};
fetch('https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions/{revisionId}/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slotIndex": 1,
"generation": 4503599627370495,
"label": "<string>",
"isBaseline": true,
"overrides": {},
"overrideDigest": "<string>",
"supersedesVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executions": [],
"executionHistory": []
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Append a merchandising simulation variant
Add one declared posture, pricing, or rule variant without changing any live Seller Account control. A revision supports its baseline plus at most three counterfactual variants.
POST
/
simulator
/
scenarios
/
{scenarioId}
/
revisions
/
{revisionId}
/
variants
Append a merchandising simulation variant
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions/{revisionId}/variants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"overrides": {
"pricing": {
"priceAdjustmentBasisPoints": 45000
},
"rules": {
"requiredBundleIds": [
"<string>"
],
"excludedBundleIds": [
"<string>"
],
"maxProducts": 50
}
}
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions/{revisionId}/variants"
payload = {
"label": "<string>",
"overrides": {
"pricing": { "priceAdjustmentBasisPoints": 45000 },
"rules": {
"requiredBundleIds": ["<string>"],
"excludedBundleIds": ["<string>"],
"maxProducts": 50
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
overrides: {
pricing: {priceAdjustmentBasisPoints: 45000},
rules: {
requiredBundleIds: ['<string>'],
excludedBundleIds: ['<string>'],
maxProducts: 50
}
}
})
};
fetch('https://api.interchange.io/api/v2/storefront/simulator/scenarios/{scenarioId}/revisions/{revisionId}/variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slotIndex": 1,
"generation": 4503599627370495,
"label": "<string>",
"isBaseline": true,
"overrides": {},
"overrideDigest": "<string>",
"supersedesVariantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executions": [],
"executionHistory": []
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Required string length:
1 - 80Show child attributes
Show child attributes
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Append a merchandising simulation variant
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
0 <= x <= 3Required range:
0 < x <= 9007199254740991- Option 1
- Option 2
Pattern:
^[a-f0-9]{64}$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Show child attributes
Show child attributes